Debian Bug report logs - #642091
package ftbfs with ld --as-needed

version graph

Package: freebsd-buildutils; Maintainer for freebsd-buildutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-buildutils is src:freebsd-buildutils.

Reported by: Matthias Klose <doko@ubuntu.com>

Date: Mon, 19 Sep 2011 12:24:01 UTC

Severity: normal

Tags: patch

Found in version freebsd-buildutils/8.2-7

Fixed in version freebsd-buildutils/8.2-8

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#642091; Package freebsd-buildutils. (Mon, 19 Sep 2011 12:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 19 Sep 2011 12:24:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: package ftbfs with ld --as-needed
Date: Mon, 19 Sep 2011 14:15:02 +0200
Package: freebsd-buildutils
Version: 8.2-7
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu oneiric ubuntu-patch
User: debian-gcc@lists.debian.org
Usertags: ld-as-needed

passing libraries in CFLAGS or LDFLAGS is a bad idea.

see http://wiki.debian.org/ToolChain/DSOLinking#Only_link_with_needed_libraries

patch at
http://launchpadlibrarian.net/80322794/freebsd-buildutils_8.2-7_8.2-7ubuntu1.diff.gz




Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 19 Sep 2011 17:54:37 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Thu, 03 Nov 2011 15:09:03 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@ubuntu.com>:
Bug acknowledged by developer. (Thu, 03 Nov 2011 15:09:03 GMT) Full text and rfc822 format available.

Message #12 received at 642091-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 642091-close@bugs.debian.org
Subject: Bug#642091: fixed in freebsd-buildutils 8.2-8
Date: Thu, 03 Nov 2011 15:04:30 +0000
Source: freebsd-buildutils
Source-Version: 8.2-8

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_8.2-8.debian.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-8.debian.tar.gz
freebsd-buildutils_8.2-8.dsc
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-8.dsc
freebsd-buildutils_8.2-8_kfreebsd-amd64.deb
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-8_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642091@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 03 Nov 2011 15:02:07 +0100
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source kfreebsd-amd64
Version: 8.2-8
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 642091 642700
Changes: 
 freebsd-buildutils (8.2-8) unstable; urgency=low
 .
   [ Matthias Klose ]
   * Fix FTBFS with ld --as-needed.  (Closes: #642091, LP: #749170)
 .
   [ Robert Millan ]
   * Export CFLAGS in debian/rules so that it is actually propagated.
     (Closes: #642700)
   * Fix bsd.dep.mk so that -U flags are propagated in kernel builds.
Checksums-Sha1: 
 022a6953f8b71610846488f165f735f8d99138c1 1425 freebsd-buildutils_8.2-8.dsc
 a77f56ad44f00d101d076d02507c1705e98e9b1b 32615 freebsd-buildutils_8.2-8.debian.tar.gz
 bb7651d10f9d21411e3f71d417c75c543907aac3 498474 freebsd-buildutils_8.2-8_kfreebsd-amd64.deb
Checksums-Sha256: 
 f4c838ac5dda9b8d8046897a3560d332b58fc5151aa331b09afa8859fc51226d 1425 freebsd-buildutils_8.2-8.dsc
 2d21db1b2275a80af6c3e356785c715c4275c7da8e4fc4ee7cab67d106ef5f26 32615 freebsd-buildutils_8.2-8.debian.tar.gz
 7014604cfe3f9f5a8657aa1d3383ff4b5e4d07e9d56b75d360db182c21f79efb 498474 freebsd-buildutils_8.2-8_kfreebsd-amd64.deb
Files: 
 700c9a3c924ca8a4ad1ad50f8a7943d9 1425 devel extra freebsd-buildutils_8.2-8.dsc
 3db46b0d038e3bcd690920d341778177 32615 devel extra freebsd-buildutils_8.2-8.debian.tar.gz
 c0a1987aa1e624991baacc872dae4103 498474 devel extra freebsd-buildutils_8.2-8_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6ynzkACgkQC19io6rUCv98HACghooW1nvHpw1dZ6+Op/uamSnZ
MeMAmwZYmYIbb+j5l3KCfqdWMqrim8ft
=NKS7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Dec 2011 07:43:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:04:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.